Gammal.ib - Action #2308

Add GCTABackground integration method
02/08/2018 09:14 PM - KnddlIseder Jirgen

Status: Closed Start date: 02/08/2018
Priority: Normal Due date:

Assigned To: Knédlseder Jurgen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.6.0

Description

Add a method to GCTABackground that computes the expected event rate in units of counts / steradians / seconds within a given

energy interval. The proposed interface for the method is

double rate_ebin(const GCTAInstDir& dir, const GEnergy& emin, const GEnergy& emax);

The method is pure virtual and implemented at the level of the derived classes.

History

#1 - 02/08/2018 09:16 PM - Knodlseder Jiirgen
- Status changed from New to In Progress

- % Done changed from 0 to 10

Add the method

gammalib::plaw_integral(double&, double&, double&, double&)

to the GMath module that analytically integrates a power law.

#2 - 02/08/2018 10:18 PM - Knddlseder Jiirgen
Add the

double atan2(const double& y, const double& x)

method to compute the arc tangens in radians.

In addition, add

GCTAInstDir::theta()
GCTAInstDir::phi()

methods that return the offset and azimuth angles in instrument coordinates in radians.
#3 - 02/09/2018 11:56 PM - Knodlseder Jiirgen
- % Done changed from 10 to 80

A GCTABackground::rate_ebin() method was added to the abstract interface and implemented for GCTABackgroundPerfTable and
GCTABackground3D. Unit tests were added to the C++ test class that test both classes and in particular the new rate_ebin() methods. Results look
satisfactory.

#4 - 02/10/2018 12:54 AM - Knédlseder Jiirgen

- Target version set to 1.6.0
#5 - 02/10/2018 05:20 PM - Knodlseder Jiirgen
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Merged into devel.
